describe('Home page', () => {
    beforeEach(() => {
        cy.login(Cypress.env('email'), Cypress.env('password'))
    })
    it('login and logout', () => {
        cy.url().should('include', '/home')
        cy.get('button[id=popnotification]').should('be.visible').click()
        cy.get('button[id=disconnect]').should('be.visible').click()
        cy.get('button[id=logout]').should('be.visible').click()
        cy.url().should('include', '/authentication/login')
    })
})