// =======================================================================
//
// IDLE
//
// ======================================================================
import idle_front_0 from '../../assets/character/idle/front/idle_front0.png'
import idle_front_1 from '../../assets/character/idle/front/idle_front1.png'
import idle_front_2 from '../../assets/character/idle/front/idle_front2.png'
import idle_front_3 from '../../assets/character/idle/front/idle_front3.png'
import idle_front_4 from '../../assets/character/idle/front/idle_front4.png'

import idle_back_0 from '../../assets/character/idle/back/idle_back0.png'
import idle_back_1 from '../../assets/character/idle/back/idle_back1.png'
import idle_back_2 from '../../assets/character/idle/back/idle_back2.png'
import idle_back_3 from '../../assets/character/idle/back/idle_back3.png'
import idle_back_4 from '../../assets/character/idle/back/idle_back4.png'
import idle_back_5 from '../../assets/character/idle/back/idle_back5.png'

import idle_left_0 from '../../assets/character/idle/left/idle_left1.png'
import idle_left_1 from '../../assets/character/idle/left/idle_left1.png'
import idle_left_2 from '../../assets/character/idle/left/idle_left2.png'
import idle_left_3 from '../../assets/character/idle/left/idle_left3.png'
import idle_left_4 from '../../assets/character/idle/left/idle_left4.png'
import idle_left_5 from '../../assets/character/idle/left/idle_left5.png'

import idle_right_0 from '../../assets/character/idle/right/idle_right0.png'
import idle_right_1 from '../../assets/character/idle/right/idle_right1.png'
import idle_right_2 from '../../assets/character/idle/right/idle_right2.png'
import idle_right_3 from '../../assets/character/idle/right/idle_right3.png'
import idle_right_4 from '../../assets/character/idle/right/idle_right4.png'
import idle_right_5 from '../../assets/character/idle/right/idle_right5.png'

export const idle_animations: Array<Array<any>> = [
  [
    idle_front_0,
    idle_front_1,
    idle_front_2,
    idle_front_3,
    idle_front_4,
  ],
  [
    idle_back_0,
    idle_back_1,
    idle_back_2,
    idle_back_3,
    idle_back_4,
    idle_back_5,
  ],
  [
    idle_left_0,
    idle_left_1,
    idle_left_2,
    idle_left_3,
    idle_left_4,
    idle_left_5,
  ],
  [
    idle_right_0,
    idle_right_1,
    idle_right_2,
    idle_right_3,
    idle_right_4,
    idle_right_5,
  ]
]

// =======================================================================
//
// Running
//
// ======================================================================

import run_front_0 from '../../assets/character/run/front/run_front0.png'
import run_front_1 from '../../assets/character/run/front/run_front1.png'
import run_front_2 from '../../assets/character/run/front/run_front2.png'
import run_front_3 from '../../assets/character/run/front/run_front3.png'
import run_front_4 from '../../assets/character/run/front/run_front4.png'
import run_front_5 from '../../assets/character/run/front/run_front5.png'

import run_back_0 from '../../assets/character/run/back/run_back0.png'
import run_back_1 from '../../assets/character/run/back/run_back1.png'
import run_back_2 from '../../assets/character/run/back/run_back2.png'
import run_back_3 from '../../assets/character/run/back/run_back3.png'
import run_back_4 from '../../assets/character/run/back/run_back4.png'
import run_back_5 from '../../assets/character/run/back/run_back5.png'

import run_left_0 from '../../assets/character/run/left/run_left0.png'
import run_left_1 from '../../assets/character/run/left/run_left1.png'
import run_left_2 from '../../assets/character/run/left/run_left2.png'
import run_left_3 from '../../assets/character/run/left/run_left3.png'
import run_left_4 from '../../assets/character/run/left/run_left4.png'
import run_left_5 from '../../assets/character/run/left/run_left5.png'

import run_right_0 from '../../assets/character/run/right/run_right0.png'
import run_right_1 from '../../assets/character/run/right/run_right1.png'
import run_right_2 from '../../assets/character/run/right/run_right2.png'
import run_right_3 from '../../assets/character/run/right/run_right3.png'
import run_right_4 from '../../assets/character/run/right/run_right4.png'
import run_right_5 from '../../assets/character/run/right/run_right5.png'

export const running_animations: Array<Array<any>> = [
  [
    run_front_0,
    run_front_1,
    run_front_2,
    run_front_3,
    run_front_4,
    run_front_5,
  ],
  [
    run_back_0,
    run_back_1,
    run_back_2,
    run_back_3,
    run_back_4,
    run_back_5,
  ],
  [
    run_left_0,
    run_left_1,
    run_left_2,
    run_left_3,
    run_left_4,
    run_left_5,
  ],
  [
    run_right_0,
    run_right_1,
    run_right_2,
    run_right_3,
    run_right_4,
    run_right_5,
  ]
]