module.exports = class pnj {
    constructor(uid, x, y) {
        this.uid = uid;
        this.x = x;
        this.y = y;
        this.numOfTiles = 1;
        this.mouvementDistance = 32;
        this.limit = this.numOfTiles * this.mouvementDistance;
        this.minXDistance = x - this.limit;
        this.maxXDistance = x + this.limit;
        this.minYDistance = y - this.limit;
        this.maxYDistance = y + this.limit;
        this.direction = 0;
        this.randomMove = function () {
            const direction = Math.floor(Math.random() * (4) + 1);
            switch (direction) {
                case 1:
                    if (this.x - this.mouvementDistance >= this.minXDistance) {
                        this.x -= this.mouvementDistance;
                        this.direction = 2;
                    }
                    break;
                case 2:
                    if (this.x + this.mouvementDistance <= this.maxXDistance) {
                        this.x += this.mouvementDistance;
                        this.direction = 3;
                    }
                    break;
                case 3:
                    if (this.y - this.mouvementDistance >= this.minYDistance) {
                        this.y -= this.mouvementDistance;
                        this.direction = 1;
                    }
                    break;
                case 4:
                    if (this.y + this.mouvementDistance <= this.maxYDistance) {
                        this.y += this.mouvementDistance;
                        this.direction = 0;
                    }
                    break;
            }
        }
    }
}
