/// <reference types="cypress" />

Cypress.Commands.add('login', (email: string, password: string) => {
    cy.visit('/authentication/login')
    cy.get('input[name=email]').should('be.enabled').type(email)
    cy.get('input[name=password]').should('be.enabled').type(`${password}{enter}`)
})

export { }
