import { defineStore } from 'pinia'
import type { InstitutionData } from '@/model/InstitutionData'

export const useInstitutionStore = defineStore('InstitutionStore', {
  state:()=>{
    return {
      selectedInstitution: null as InstitutionData | null,
      institutions: [] as InstitutionData[],
    }
  },
  actions:{
    setSelectedInstitution(institution: InstitutionData){
      this.selectedInstitution = institution
    }
  }
})